%bcond_with jp_minimal
Name:                osgi-compendium
Version:             7.0.0
Release:             1
Summary:             Interfaces and Classes for use in compiling OSGi bundles
License:             ASL 2.0
URL:                 http://www.osgi.org
Source0:             https://osgi.org/download/r7/osgi.cmpn-%{version}.jar
BuildRequires:       maven-local mvn(javax.servlet:javax.servlet-api)
%if %{without jp_minimal}
BuildRequires:       mvn(javax.persistence:persistence-api)
BuildRequires:       mvn(javax.ws.rs:javax.ws.rs-api) >= 2.1.5-2
%endif
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin) mvn(org.osgi:osgi.annotation)
BuildRequires:       mvn(org.osgi:osgi.core)
BuildArch:           noarch

%description
OSGi Compendium, Interfaces and Classes for use in compiling bundles.

%package javadoc
Summary:             API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -c
rm -r org
find -name '*.class' -delete
mkdir -p src/main/{java,resources}
mv OSGI-OPT/src/org src/main/java/
mv xmlns src/main/resources
rm -r src/main/java/org/osgi/service/io
mv META-INF/maven/org.osgi/osgi.cmpn/pom.xml .
%pom_xpath_inject pom:project '
<packaging>bundle</packaging>
<properties>
  <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
</properties>
<build>
  <plugins>
    <plugin>
      <groupId>org.apache.felix</groupId>
      <artifactId>maven-bundle-plugin</artifactId>
      <extensions>true</extensions>
      <configuration>
        <instructions>
          <Bundle-Name>${project.artifactId}</Bundle-Name>
          <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
        </instructions>
      </configuration>
    </plugin>
  </plugins>
</build>'
%pom_add_dep org.osgi:osgi.annotation::provided
%pom_add_dep org.osgi:osgi.core::provided
%pom_add_dep javax.servlet:javax.servlet-api::provided
%if %{without jp_minimal}
%pom_add_dep javax.persistence:persistence-api::provided
%pom_add_dep javax.ws.rs:javax.ws.rs-api::provided
%else
rm -r src/main/java/org/osgi/service/jaxrs
rm -r src/main/java/org/osgi/service/jpa
rm -r src/main/java/org/osgi/service/transaction/control/jpa
%endif

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc about.html

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Aug 13 2020 leiju <leiju4@huawei.com> - 7.0.0-1
- Update from 6.0.0 to 7.0.0

* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 6.0.0-7
- Package init
